Generate image
curl --request POST \
--url https://api.siray.ai/v1/images/generations/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aspect_ratio": "1:1",
"bbox_list": [
[
[
0,
0,
512,
512
]
]
],
"color_palette": [
{
"hex": "#FF5733",
"ratio": "1"
}
],
"enable_sequential": true,
"model": "alibaba/wan-2.7-image-t2i-spicy",
"n": 1,
"prompt": "example_value",
"prompt_expansion_enable": true,
"seed": -1,
"size": "1k"
}
'import requests
url = "https://api.siray.ai/v1/images/generations/async"
payload = {
"aspect_ratio": "1:1",
"bbox_list": [[[0, 0, 512, 512]]],
"color_palette": [
{
"hex": "#FF5733",
"ratio": "1"
}
],
"enable_sequential": True,
"model": "alibaba/wan-2.7-image-t2i-spicy",
"n": 1,
"prompt": "example_value",
"prompt_expansion_enable": True,
"seed": -1,
"size": "1k"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '1:1',
bbox_list: [[[0, 0, 512, 512]]],
color_palette: [{hex: '#FF5733', ratio: '1'}],
enable_sequential: true,
model: 'alibaba/wan-2.7-image-t2i-spicy',
n: 1,
prompt: 'example_value',
prompt_expansion_enable: true,
seed: -1,
size: '1k'
})
};
fetch('https://api.siray.ai/v1/images/generations/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>",
"fail_code": "<string>"
}Alibaba
Wan 2.7 Image t2i Spicy
POST
/
v1
/
images
/
generations
/
async
Generate image
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for image generation models
Aspect ratio
Available options:
1:1, 1:2, 2:1, 1:3, 3:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 9:21, 21:9 Model name to use for the request
Available options:
alibaba/wan-2.7-image-t2i-spicy Text prompt for generation
Size
Available options:
1k, 2k Interactive edit regions. Outer array aligns with input images; each image has a list of boxes; each box is [x1, y1, x2, y2].
Required array length:
4 elementsRequired range:
x >= 0Example:
[[[0, 0, 512, 512]]]
Custom color theme
Show child attributes
Show child attributes
Example:
[{ "hex": "#FF5733", "ratio": "1" }]
Whether to enable sequential group image output
Example:
true
Number of outputs to generate
Required range:
1 <= x <= 12Whether to automatically expand the prompt for better results
Random seed for generation
Required range:
-1 <= x <= 2147483647Response
200 - application/json
Successful response
Standard async task creation response
